be.fgov.ehealth.etee.crypto.status

## Enum NotificationFatal

- java.lang.Object
- - java.lang.Enum<NotificationFatal>
  - - be.fgov.ehealth.etee.crypto.status.NotificationFatal

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NotificationFatal>

      public enum NotificationFatal
      extends java.lang.Enum<NotificationFatal>

  A NotificationFatal indicates that the validation or unsealing process of a sealed message could not be completed. The source of the failure is described by the NotificationFailure.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CERTIFICATION_PATH_CHECK_FAILED` Failure indicating that verification of the certification path could not be done.
    `CRL_CHECK_FAILED` Failure indicating that verification of Certificate Revocation List could not be done.
    `DECRYPTION_PRIVATE_KEY_NOT_FOUND` The private decryption key indicated in the RecipientIdentifiers of the Enveloped-Data is not found.
    `ENVELOPED_DATA_CONTAINS_NO_KEKRECIPIENTINFOS` The EnvelopedData does not contain a KEKRecipientInformation.
    `ENVELOPED_DATA_CONTAINS_NO_KEYTRANSRECIPIENTINFOS` The EnvelopedData does not contain a KeyTransRecipientInformation.
    `ENVELOPED_DATA_STRUCTURE_INCORRECT` The CMS Encrypted-Data part inside the message has an incorrect structure.
    `INNER_SIGNED_DATA_CONTENT_MISSING` The signature cannot be verified because the inner signed data does not contain the signed content.
    `INNER_SIGNED_DATA_STRUCTURE_INCORRECT` The CMS inner signed data structure is incorrect and cannot be parsed.
    `MESSAGE_INNER_SIGNED_PART_CONTAINS_INCORRECTLY_ENCODED_CERTIFICATES_SET` Failure indicating that the inner signed part contains an incorrectly encoded set of certificates.
    `MESSAGE_INNER_SIGNED_PART_HAS_MORE_THAN_ONE_SIGNER_INFORMATION` Failure indicating that the inner signed data structure has more than one signer information included.
    `MESSAGE_INNER_SIGNED_PART_HAS_NO_SIGNER_INFORMATION` Failure indicating that the inner signed data structure has no signer information included.
    `MESSAGE_OUTER_SIGNED_PART_CONTAINS_INCORRECTLY_ENCODED_CERTIFICATES_SET` Failure indicating that the outer signed part contains an incorrectly encoded set of certificates.
    `MESSAGE_OUTER_SIGNED_PART_HAS_MORE_THAN_ONE_SIGNER_INFORMATION` Failure indicating that the outer signed data structure has more than one signer information included.
    `MESSAGE_OUTER_SIGNED_PART_HAS_NO_SIGNER_INFORMATION` Failure indicating that the outer signed data structure has no signer information included.
    `OCSP_CHECK_FAILED` Failure indicating that an OCSP check could not be done.
    `OUTER_SIGNED_DATA_CONTENT_MISSING` The signature cannot be verified because the outer signed data does not contain the signed content.
    `OUTER_SIGNED_DATA_CONTENT_STRUCTURE_INVALID` The content part of the outer CMS signed data structure is invalid.
    `OUTER_SIGNED_DATA_STRUCTURE_INCORRECT` The CMS outer signed data structure is incorrect and cannot be parsed.
    `SECRET_KEY_CAN_NOT_DECRYPT_KEKRECIPIENTINFOS` The given SecretKey can not decrypt the KEKRecipientInformations in the EnvelopedData.
    `STAMP_FAILED` A timestamp could not be added to the sealed message.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getErrorMessage()`
    `static NotificationFatal` | `getInnerFailureForMessage(java.lang.String errorMessage)`
    `static NotificationFatal` | `getOuterFailureForMessage(java.lang.String errorMessage)`
    `static NotificationFatal` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotificationFatal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENVELOPED_DATA_STRUCTURE_INCORRECT

          public static final NotificationFatal ENVELOPED_DATA_STRUCTURE_INCORRECT

      The CMS Encrypted-Data part inside the message has an incorrect structure.

    - #### DECRYPTION_PRIVATE_KEY_NOT_FOUND

          public static final NotificationFatal DECRYPTION_PRIVATE_KEY_NOT_FOUND

      The private decryption key indicated in the RecipientIdentifiers of the Enveloped-Data is not found.

    - #### OUTER_SIGNED_DATA_CONTENT_STRUCTURE_INVALID

          public static final NotificationFatal OUTER_SIGNED_DATA_CONTENT_STRUCTURE_INVALID

      The content part of the outer CMS signed data structure is invalid.

    - #### SECRET_KEY_CAN_NOT_DECRYPT_KEKRECIPIENTINFOS

          public static final NotificationFatal SECRET_KEY_CAN_NOT_DECRYPT_KEKRECIPIENTINFOS

      The given SecretKey can not decrypt the KEKRecipientInformations in the EnvelopedData.

    - #### ENVELOPED_DATA_CONTAINS_NO_KEYTRANSRECIPIENTINFOS

          public static final NotificationFatal ENVELOPED_DATA_CONTAINS_NO_KEYTRANSRECIPIENTINFOS

      The EnvelopedData does not contain a KeyTransRecipientInformation.

    - #### ENVELOPED_DATA_CONTAINS_NO_KEKRECIPIENTINFOS

          public static final NotificationFatal ENVELOPED_DATA_CONTAINS_NO_KEKRECIPIENTINFOS

      The EnvelopedData does not contain a KEKRecipientInformation.

    - #### CERTIFICATION_PATH_CHECK_FAILED

          public static final NotificationFatal CERTIFICATION_PATH_CHECK_FAILED

      Failure indicating that verification of the certification path could not be done.

    - #### CRL_CHECK_FAILED

          public static final NotificationFatal CRL_CHECK_FAILED

      Failure indicating that verification of Certificate Revocation List could not be done.

    - #### OCSP_CHECK_FAILED

          public static final NotificationFatal OCSP_CHECK_FAILED

      Failure indicating that an OCSP check could not be done.

    - #### STAMP_FAILED

          public static final NotificationFatal STAMP_FAILED

      A timestamp could not be added to the sealed message.

    - #### MESSAGE_INNER_SIGNED_PART_HAS_NO_SIGNER_INFORMATION

          public static final NotificationFatal MESSAGE_INNER_SIGNED_PART_HAS_NO_SIGNER_INFORMATION

      Failure indicating that the inner signed data structure has no signer information included.

    - #### MESSAGE_OUTER_SIGNED_PART_HAS_NO_SIGNER_INFORMATION

          public static final NotificationFatal MESSAGE_OUTER_SIGNED_PART_HAS_NO_SIGNER_INFORMATION

      Failure indicating that the outer signed data structure has no signer information included.

    - #### MESSAGE_INNER_SIGNED_PART_HAS_MORE_THAN_ONE_SIGNER_INFORMATION

          public static final NotificationFatal MESSAGE_INNER_SIGNED_PART_HAS_MORE_THAN_ONE_SIGNER_INFORMATION

      Failure indicating that the inner signed data structure has more than one signer information included.

    - #### MESSAGE_OUTER_SIGNED_PART_HAS_MORE_THAN_ONE_SIGNER_INFORMATION

          public static final NotificationFatal MESSAGE_OUTER_SIGNED_PART_HAS_MORE_THAN_ONE_SIGNER_INFORMATION

      Failure indicating that the outer signed data structure has more than one signer information included.

    - #### INNER_SIGNED_DATA_STRUCTURE_INCORRECT

          public static final NotificationFatal INNER_SIGNED_DATA_STRUCTURE_INCORRECT

      The CMS inner signed data structure is incorrect and cannot be parsed.

    - #### OUTER_SIGNED_DATA_STRUCTURE_INCORRECT

          public static final NotificationFatal OUTER_SIGNED_DATA_STRUCTURE_INCORRECT

      The CMS outer signed data structure is incorrect and cannot be parsed.

    - #### INNER_SIGNED_DATA_CONTENT_MISSING

          public static final NotificationFatal INNER_SIGNED_DATA_CONTENT_MISSING

      The signature cannot be verified because the inner signed data does not contain the signed content.

    - #### OUTER_SIGNED_DATA_CONTENT_MISSING

          public static final NotificationFatal OUTER_SIGNED_DATA_CONTENT_MISSING

      The signature cannot be verified because the outer signed data does not contain the signed content.

    - #### MESSAGE_INNER_SIGNED_PART_CONTAINS_INCORRECTLY_ENCODED_CERTIFICATES_SET

          public static final NotificationFatal MESSAGE_INNER_SIGNED_PART_CONTAINS_INCORRECTLY_ENCODED_CERTIFICATES_SET

      Failure indicating that the inner signed part contains an incorrectly encoded set of certificates.

    - #### MESSAGE_OUTER_SIGNED_PART_CONTAINS_INCORRECTLY_ENCODED_CERTIFICATES_SET

          public static final NotificationFatal MESSAGE_OUTER_SIGNED_PART_CONTAINS_INCORRECTLY_ENCODED_CERTIFICATES_SET

      Failure indicating that the outer signed part contains an incorrectly encoded set of certificates.

  - ### Method Detail

    - #### values

          public static NotificationFatal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotificationFatal c : NotificationFatal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotificationFatal valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getErrorMessage

          public java.lang.String getErrorMessage()

    - #### getOuterFailureForMessage

          public static NotificationFatal getOuterFailureForMessage(java.lang.String errorMessage)

    - #### getInnerFailureForMessage

          public static NotificationFatal getInnerFailureForMessage(java.lang.String errorMessage)

Copyright © 2025 eHealth. All rights reserved.